Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.win32
Class ShellAPI.SHFILEOPSTRUCT

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.ShellAPI.SHFILEOPSTRUCT

Enclosing interface:
  ShellAPI

    public static class ShellAPI.SHFILEOPSTRUCT

extends com.sun.jna.Structure

Contains information that the SHFileOperation function uses to perform file operations.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByReference, com.sun.jna.Structure.ByValue`

Field Summary
`boolean` | `fAnyOperationsAborted` When the function returns, this member contains TRUE if any file operations were aborted before they were completed; otherwise, FALSE.
`short` | `fFlags` Flags that control the file operation.
`WinNT.HANDLE` | `hwnd` A window handle to the dialog box to display information about the status of the file operation.
`com.sun.jna.WString` | `lpszProgressTitle` A pointer to the title of a progress dialog box.
`com.sun.jna.WString` | `pFrom` A pointer to one or more source file names, double null-terminated.
`com.sun.jna.Pointer` | `pNameMappings` When the function returns, this member contains a handle to a name mapping object that contains the old and new names of the renamed files.
`com.sun.jna.WString` | `pTo` A pointer to the destination file or directory name.
`int` | `wFunc` An FO_* value that indicates which operation to perform.

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`ShellAPI.SHFILEOPSTRUCT()`

Method Summary
`java.lang.String` | `encodePaths(java.lang.String[] paths)` Use this to encode `pFrom/pTo` paths.

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### hwnd

    public WinNT.HANDLE hwnd

  A window handle to the dialog box to display information about the status of the file operation.

### wFunc

    public int wFunc

  An FO_* value that indicates which operation to perform.

### pFrom

    public com.sun.jna.WString pFrom

  A pointer to one or more source file names, double null-terminated.

### pTo

    public com.sun.jna.WString pTo

  A pointer to the destination file or directory name.

### fFlags

    public short fFlags

  Flags that control the file operation.

### fAnyOperationsAborted

    public boolean fAnyOperationsAborted

  When the function returns, this member contains TRUE if any file operations were aborted before they were completed; otherwise, FALSE. An operation can be manually aborted by the user through UI or it can be silently aborted by the system if the FOF_NOERRORUI or FOF_NOCONFIRMATION flags were set.

### pNameMappings

    public com.sun.jna.Pointer pNameMappings

  When the function returns, this member contains a handle to a name mapping object that contains the old and new names of the renamed files. This member is used only if the fFlags member includes the FOF_WANTMAPPINGHANDLE flag.

### lpszProgressTitle

    public com.sun.jna.WString lpszProgressTitle

  A pointer to the title of a progress dialog box. This is a null-terminated string.

Constructor Detail

### ShellAPI.SHFILEOPSTRUCT

    public ShellAPI.SHFILEOPSTRUCT()

Method Detail

### encodePaths

    public java.lang.String encodePaths(java.lang.String[] paths)

  Use this to encode `pFrom/pTo` paths.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD